## dbt-bigquery 1.10.0 - July 10, 2025

### Breaking Changes

- rename 'catalog' model config value to 'catalog_name' ([#1134](https://github.com/dbt-labs/dbt-adapters/issues/1134))

### Features

- Make Bigquery `api_endpoint` config option available for dbt client ([#https://github.com/dbt-labs/dbt-bigquery/pull/1017](https://github.com/dbt-labs/dbt-adapters/issues/https://github.com/dbt-labs/dbt-bigquery/pull/1017))
- Add support for managed Iceberg catalogs ([#1105](https://github.com/dbt-labs/dbt-adapters/issues/1105))
- generate storage_uri from external_volume, base_location_root and base_location_subpath ([#1129](https://github.com/dbt-labs/dbt-adapters/issues/1129))
- Add user agent in bigframes mode ([#1152](https://github.com/dbt-labs/dbt-adapters/issues/1152))

### Fixes

- Add create_notebook_client ([#977](https://github.com/dbt-labs/dbt-adapters/issues/977))
- Use execute wrapper instead of raw execute to add the query comment as query header ([#1090](https://github.com/dbt-labs/dbt-adapters/issues/1090))

### Under the Hood

- Issue drop statement before cloning ([#1077](https://github.com/dbt-labs/dbt-adapters/issues/1077))
- populate file_format from top level integration config field ([#1129](https://github.com/dbt-labs/dbt-adapters/issues/1129))
- Rename and separate out info schema and biglake catalog integrations ([#1129](https://github.com/dbt-labs/dbt-adapters/issues/1129))

### Dependencies

- bump dbt-core requirement to 1.10.0rc0 ([#1142](https://github.com/dbt-labs/dbt-adapters/pull/1142))
- update the lower bound for dbt-adapters version in dbt-bigquery to >=1.16 ([#1148](https://github.com/dbt-labs/dbt-adapters/pull/1148))
- add lower bound for google-auth in dbt-bigquery ([#1149](https://github.com/dbt-labs/dbt-adapters/pull/1149))

### Contributors
- [@Kayrnt](https://github.com/Kayrnt) ([#1090](https://github.com/dbt-labs/dbt-adapters/issues/1090))
- [@OTooleMichael](https://github.com/OTooleMichael) ([#https://github.com/dbt-labs/dbt-bigquery/pull/1017](https://github.com/dbt-labs/dbt-adapters/issues/https://github.com/dbt-labs/dbt-bigquery/pull/1017))
- [@jeremyyeo](https://github.com/jeremyyeo) ([#1077](https://github.com/dbt-labs/dbt-adapters/issues/1077))
- [@jialuoo](https://github.com/jialuoo) ([#1152](https://github.com/dbt-labs/dbt-adapters/issues/1152), [#977](https://github.com/dbt-labs/dbt-adapters/issues/977))
- [@mikealfare](https://github.com/mikealfare) ([#1105](https://github.com/dbt-labs/dbt-adapters/issues/1105))
